package org.ajc.system;

import org.apache.commons.io.FileUtils;

// simple aspect that writes to stdout when a directory gets deleted (which happens during a project clean)
// just to verify that load time weaving works
public aspect AjcTrace {
	public static final String TRACE_TEXT = "load time weaving appears to work";

	before() : execution(* FileUtils.deleteDirectory(..)) {
		System.out.println(TRACE_TEXT);
	}
}
